#
# spec file for package get-flash-videos
#
# Copyright (c) 2013-2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           get-flash-videos
Version:        1.25.91
Release:        3.1
Summary:        A tool for downloading videos behind Flash loaders
License:        Apache-2.0
Group:          Productivity/Networking/Web/Utilities
Url:            https://github.com/monsieurvideo/get-flash-videos

#Git-Clone:    git://github.com/monsieurvideo/get-flash-videos
Source:         https://github.com/monsieurvideo/get-flash-videos/archive/%version.tar.gz
BuildRequires:  perl-macros
Requires:       perl(Compress::Zlib)
Requires:       perl(Crypt::Rijndael)
Requires:       perl(Data::AMF)
Requires:       perl(Data::Dumper)
Requires:       perl(File::Basename)
Requires:       perl(File::Temp)
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::TokeParser)
Requires:       perl(HTML::Tree)
Requires:	perl(IPC::Open3)
Requires:	perl(List::Util)
Requires:       perl(LWP::Protocol::https)
Requires:	perl(MIME::Base64)
Requires:       perl(Module::Find)
Requires:	perl(Time::HiRes)
Requires:       perl(URI)
Requires:       perl(URI::Escape)
Requires:       perl(URI::QueryParam)
Requires:       perl(WWW::Mechanize)
Requires:       perl(XML::Simple)
Recommends:     perl(Crypt::Blowfish_PP)
Recommends:     rtmpdump
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%perl_requires

%description
get-flash-videos downloads videos from various Flash-based video
hosting sites, without having to use the Flash player. Handy for
saving videos for watching offline, and means you do not have to keep
upgrading Flash for sites that insist on a newer version of the
player.

%prep
%setup -q

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %name.files
%defattr(-,root,root)
%doc LICENSE

%changelog
* Tue Jan 19 2016 jengelh@inai.de
- Update to new upstream release 1.25.91
  * Update ITV, site changed to a Beta ITVPlayer
* Fri Oct 30 2015 malcolmlewis@opensuse.org
- Update to v1.25.90:
  + No changelog, please see;
    https://github.com/monsieurvideo/get-flash-videos as this is
    a development release.
- Add build requires of 'perl-macros' for SLE.
* Mon Jun  8 2015 jengelh@inai.de
- Update to git snapshot v1.22-651
  * add support for daserste.de
  * support daserste, 3news, pinkbike site changes,
  arte file type depending on download method, and
  arte HTTP DASH transport.
* Sun Jan 11 2015 jengelh@inai.de
- Update to git snapshot v1.22
  * Update Tv3play to new site changes; fix HLS playlist
  parsing regex
  * Add support for HTML5 videos for Joemonster plugin
* Wed Nov 19 2014 jengelh@inai.de
- Update to git snapshot v1.22-623-g3221142
  * Tweaks for kanal5play.se, tv3play site update, ted.com support
* Fri May 23 2014 jengelh@inai.de
- Update to git snapshot v1.22-609-gcfe3d7f
  * Print 'X-Died' errors, if present. This exposes failures caused
  by "twitter:card" meta infestation.
  * Add support for movshare.net, cwtv.com, concert.arte.tv,
  * updated mtvnservices to cope with update to MTVNServices servers;
  update tv3play for new site changes
* Thu Nov 14 2013 jengelh@inai.de
- Initial package (version 1.22+git556) for build.opensuse.org
